<template>
  <div>
    <input
      id="email"
      v-model="emailValue"
      type="email"
      :required="this.required ? true : false"
      @input="email"
    />
    <p>{{ emailErrorMessage }}</p>
  </div>
</template>
<script>
import { defineComponent } from '@vue/composition-api';
import { useField } from 'vee-validate';
import { string } from 'yup';

export default defineComponent({
  name: 'Email',
  props: ['required'],
  setup(prop) {
    const { value: emailValue, emailErrorMessage } = useField(
      'email',
      string().max(3).required()
    );
    return {
      emailValue,
      emailErrorMessage,
    };
  },
  methods: {
    email(e) {
      this.$emit('input', e.target.value);
    },
  },
});
</script>
